Steiner Class Reference
Example scripts (models)

Example: Steiner triples More...

## Public Types

enum | { MODEL_NONE , MODEL_MATCHING , MODEL_SEQ }
| Model variants. More...

## Public Member Functions

| Steiner (const SizeOptions &opt)
| Actual model.
virtual void | print (std::ostream &os) const
| Print solution.
| Steiner (Steiner &s)
| Constructor for copying s.
virtual Space * | copy (void)
| Copy during cloning.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::IgnoreStepOption< BaseSpace >
| IgnoreStepOption (const Options &)
| Constructor.
| IgnoreStepOption (BaseSpace &e)
| Constructor used for cloning.

## Public Attributes

int | n
| Order of the Steiner problem.
int | noOfTriples
| Number of Steiner triples.
SetVarArray | triples
| The steiner triples.

## Related Symbols

(Note that these are not member symbols.)
int | main (int argc, char *argv[])
| Main-function.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)

## Detailed Description

Example: Steiner triples

See also problem 044 at http://www.csplib.org/.

Definition at line 48 of file steiner.cpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Model variants.

Enumerator
MODEL_NONE | Use simple relation constraint.
MODEL_MATCHING | Use matching constraints.
MODEL_SEQ | Use sequence constraints.

Definition at line 51 of file steiner.cpp.

## Constructor & Destructor Documentation

## Steiner() [1/2]

Steiner::Steiner | ( | const SizeOptions & | opt | ) |

inline

Actual model.

Definition at line 65 of file steiner.cpp.

## Steiner() [2/2]

Steiner::Steiner | ( | Steiner & | s | ) |

inline

Constructor for copying s.

Definition at line 139 of file steiner.cpp.

## Member Function Documentation

## print()

virtual void Steiner::print | ( | std::ostream & | os | ) | const

inline virtual

Print solution.

Reimplemented from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >.

Definition at line 133 of file steiner.cpp.

## copy()

virtual Space * Steiner::copy | ( | void |  | ) |

inline virtual

Copy during cloning.

Definition at line 144 of file steiner.cpp.

## Friends And Related Symbol Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

related

Main-function.

Definition at line 153 of file steiner.cpp.

## Member Data Documentation

## n

int Steiner::n

Order of the Steiner problem.

Definition at line 57 of file steiner.cpp.

## noOfTriples

int Steiner::noOfTriples

Number of Steiner triples.

Definition at line 59 of file steiner.cpp.

## triples

SetVarArray Steiner::triples

The steiner triples.

Definition at line 62 of file steiner.cpp.

The documentation for this class was generated from the following file:

- examples/steiner.cpp